Author Topic: Engineering Site Grading question  (Read 15252 times)

0 Members and 1 Guest are viewing this topic.

MSTG007

  • Gator
  • Posts: 2601
  • I can't remeber what I already asked! I need help!
Engineering Site Grading question
« Reply #30 on: April 26, 2005, 05:42:03 PM »
Hey.. question I am getting an error

; error: bad argument type: numberp: #<SUBR @05b7f768 ->

any ideas?

acad 2005

it was working fine
Civil3D 2020

MP

  • Seagull
  • Posts: 17750
  • Have thousands of dwgs to process? Contact me.
Engineering Site Grading question
« Reply #31 on: April 26, 2005, 05:47:12 PM »
An expression that is expecting a number is getting something else.

Define this --

(defun *error* (x) (vl-bt))

-- and run your proggy again.

What does it dump now? (It should indicate where the error is happening).
Engineering Technologist • CAD Automation Practitioner
Automation ▸ Design ▸ Drafting ▸ Document Control ▸ Client
cadanalyst@gmail.comhttp://cadanalyst.slack.comhttp://linkedin.com/in/cadanalyst

MSTG007

  • Gator
  • Posts: 2601
  • I can't remeber what I already asked! I need help!
Engineering Site Grading question
« Reply #32 on: April 27, 2005, 08:34:55 AM »
Command: sltag
.undo Enter the number of operations to undo or
[Auto/Control/BEgin/End/Mark/Back] <1>: begin
Command: Enter Starting Elevation <1200.0000>:
Backtrace:
[0.49] (VL-BT)
[1.45] (*ERROR* "bad argument type: numberp: #<SUBR @05b2f768 ->")
[2.40] (_call-err-hook #<SUBR @0ab4f3e8 *ERROR*> "bad argument type: numberp:
#<SUBR @05b2f768 ->")
[3.34] (sys-error "bad argument type: numberp: #<SUBR @05b2f768 ->")
:ERROR-BREAK.29 nil
[4.26] (RTOS #<SUBR @05b2f768 -> 2 8)
[5.19] (C:SLTAG)
[6.15] (#<SUBR @0ab4f514 -rts_top->)
[7.12] (#<SUBR @05a72334 veval-str-body> "(C:SLTAG)" T #<FILE internal>)
:CALLBACK-ENTRY.6 (:CALLBACK-ENTRY)
:ARQ-SUBR-CALLBACK.3 (nil 0)
Civil3D 2020

MP

  • Seagull
  • Posts: 17750
  • Have thousands of dwgs to process? Contact me.
Engineering Site Grading question
« Reply #33 on: April 27, 2005, 08:37:41 AM »
There ya go --

In function (defun C:SLTAG ...) there is a call to (rtos ...) that is bombing because it is being passed a non numerical value.
Engineering Technologist • CAD Automation Practitioner
Automation ▸ Design ▸ Drafting ▸ Document Control ▸ Client
cadanalyst@gmail.comhttp://cadanalyst.slack.comhttp://linkedin.com/in/cadanalyst

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Engineering Site Grading question
« Reply #34 on: April 27, 2005, 09:28:03 AM »
It isn't obvious to me which one if the three variabales is causing the error.
Try this & see if we can determine which one.
Code: [Select]
;;; DESCRIPTION
;;;
;;; This lisp is design to calculate elevation or slope percentage.
;;;
;;; **Slvl**
;;; Calculates the elevation after user input of the highest
;;; level and slope percentage.
;;; The distance has to be specified by picking two endpoints
(defun C:Slvl (/ *Error* useros usercmd userlun slp elev dist p1 p2 chg)
  ;; error function & Routine Exit
  (defun *error* (msg)
    (if
      (not
        (member
          msg
          '("console break" "Function cancelled" "quit / exit abort" "")
        )
      )
       (princ (strcat "\nError: " msg))
    ) ; endif

    ;;reset all variables here
    (if useros (setvar "osmode" useros))
    (if usercmd (setvar "CMDECHO" usercmd))
    (if userlun (setvar "lunits" userlun))
    (setq useros  nil
          usercmd nil
          userlun nil
    )
  ) ;end error function  (defun *Error* (msg) ; embedded defun


  (setq useros  (getvar "osmode")
        usercmd (getvar "CMDECHO")
        userlun (getvar "lunits")
  )

  (setvar "osmode" 1) ; = endpoint
  (setvar "Lunits" 4) ; Feet & Inches

  (setq elev (Getdist "\nReference level (Eg : 100'-0'') : "))
  (setq slp
         (getreal
           "\nDesired Slope in Percentage, - for slope down (Eg : 3 for .03 or 3%) : "
         )
  )
  (initget 128) ; get point OR number OR string
  (setq p1 (getpoint "\nPick 1st point or enter DISTANCE: "))
  (cond
    ((listp p1) ; got a point
     (if (setq p2 (getpoint p1 "\nPick 2nd point of DISTANCE: "))
       (setq dist (distance p1 p2))
     )
    )
    ((numberp p1) ; got a number
     (setq dist p1)
    )
    ((setq dist (distof p1)) ; got a string, convert to number
    )
  )
  (cond
    ((not (numberp elev))
     (prompt "\n***  Error in Elevation  ***")
    )
    ((not (numberp slp))
     (prompt "\n***  Error in Slope  ***")
    )
    ((not (numberp dist))
     (prompt "\n***  Error in Distance  ***")
    )
    (t
     (setq slp  (/ slp 100.0)
           elev (/ elev 12.0)
           chg  (rtos (+ elev (* (/ dist 12.0) slp)) 2 2)
     )
     (prompt
       (strcat "\n[Start Elev="
               (rtos elev 2 2)
               "'] [Distance="
               (rtos dist 4 2)
               "] "
       )
     )
     (if (minusp slp)
       ;;-----slope calculation
       (prompt (strcat "[Level below is : " chg "']"))
       (prompt (strcat "[Level above is : " chg "']"))
     )
    )
  )
  (*error* "")
  (princ)
)
(prompt "\nSlope Calc Loaded, Enter slvl to run.")
(princ)
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

MSTG007

  • Gator
  • Posts: 2601
  • I can't remeber what I already asked! I need help!
Engineering Site Grading question
« Reply #35 on: April 27, 2005, 10:13:41 AM »
Slope Calc Loaded, Enter slvl to run.

Command: slvl

Reference level (Eg : 100'-0'') :

Desired Slope in Percentage, - for slope down (Eg : 3 for .03 or 3%) :

Pick 1st point or enter DISTANCE:
Pick 2nd point of DISTANCE:
***  Error in Elevation  ***
Command:
Civil3D 2020

MSTG007

  • Gator
  • Posts: 2601
  • I can't remeber what I already asked! I need help!
Engineering Site Grading question
« Reply #36 on: April 27, 2005, 10:59:53 AM »
this is on the old one:

"AutoCAD menu utilities loaded.
Command: sltag .undo Enter the number of operations to undo or
[Auto/Control/BEgin/End/Mark/Back] <1>: begin
Command: Enter Starting Elevation <1200.0000>:  ; error: bad argument type:
numberp: #<SUBR @058bf768 ->"


the following lisp code

Code: [Select]

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Slope Tag  V1.2, 1989, '92
;; by RBCulp - Falcon Design Services, Inc.
;;
;; NO RIGHTS RESERVED; Any and all content may reproduced by any method on any medium for any reason.
;; Please, feel free to use any part found useful, interesting, enlightening or entertaining.
;; If by some chance, someone wishes to be credited for this, go right ahead.
;;
;; Falcon Design Services (FDS) provides this program "as is" and with all faults.
;; FDS specifically disclaims any implied warranty of merchantability or fitness for a particular use.  
;; FDS does not warrant that the operation of the program will be uninterrupted or error free.
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun c:sltag ( / scft nstelev nslope FIRSTPT PT1 PT2 distm dist1 nxtelev)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;Set defaults on first use
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(if (= stelev nil)  (setq stelev 1200.00))
(if (= slope nil)   (setq slope -.002))
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(command ".undo" "begin")
(setvar "attdia" 0)
(setvar "texteval" 1)
(setq scft (getvar "dimscale"))
 (if (= 2 (getvar "lunits")) (setq tunit 2 tprec 3) )
 (if (= 4 (getvar "lunits")) (setq tunit 4 tprec 4) )
   (if (setq nstelev (getdist (strcat "Enter Starting Elevation <" (RTOS stelev) ">: ")))
       (setq stelev nstelev)
   )
   (if (setq nslope (getreal (strcat "Enter Slope Factor (Negative For Down) <" (RTOS slope 2 8) ">: ")))
       (setq slope nslope)
   )
  (setq FIRSTPT (getpoint "Select Starting point ")
   PT2 (getpoint FIRSTPT "\nNext point ")
   distm (distance firstpt pt2)
   nxtelev (+ (* distm slope) stelev)
  )
(princ (strcat "\n                        Distance is  " (rtos (distance firstpt pt2))))
(princ (strcat "\n                           Slope is  " (rtos (* distm slope))))
(princ (strcat "\n                       Elevation is  " (rtos nxtelev tunit tprec)))
;;;; (txstla)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(command "-insert" "E:/CAD/Ielev" "s" scft "r" "0" pt2 (strcat (rtos nxtelev 2 2)" "))
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
  (while (/= PT2 nil)
    (setq PT1 PT2)
    (setq PT2 (getpoint PT1 "\n\nNext point "))
    (if (/= PT2 nil)
      (progn
   (setq dist1 (distance pt1 pt2)
         distm (+ distm dist1)
         nxtelev (+ (* dist1 slope) nxtelev)
   )
   (princ (strcat "\n                        Distance is  " (rtos dist1)))
   (princ (strcat "\n                           Slope is  " (rtos (* dist1 slope))))
   (princ (strcat "\n                       Elevation is  " (rtos nxtelev tunit tprec)))
   (princ (strcat "\n          Running Total Distance is  " (rtos distm)))
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(command "-insert" "E:/CAD/Ielev" "s" scft "r" "0" pt2 (strcat (rtos nxtelev 2 2)" "))
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
      )
    )
  )
   (princ (strcat "\n\n          Final Total Distance is  " (rtos distm)))
(setvar "attdia" 1)
(command ".undo" "end")
(princ)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
Civil3D 2020

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Engineering Site Grading question
« Reply #37 on: April 27, 2005, 11:09:40 AM »
Well you see you are pressing enter as if the 100' is a default.
If it was a default it should be displayed as <100'-0"> to indicate default.
If you want to force the user to enter something. Use this.
Code: [Select]
(initget 1)
(setq elev (Getdist "\nReference level (Eg : 100'-0'') : "))


If you want 100, to be a default use this
Code: [Select]
(setq elev (Getdist "\nReference level (Eg : 100'-0'') : "))
(if (null elev) (setq elev (distof "100'")))


Another way to handle it is to have the routine remember the current setting while
the user is in one drawing. You would make a global variable like *elev*

Code: [Select]
;;  Load a global variable if null
(setq *elev* (cond (*elev*) (distof "100'")))
(setq elev (Getdist "\nReference level (Eg : 100'-0'') : "))
(if (null elev)
   (setq elev *elev*) ; use global
   (setq *elev* elev) ; reset global
)
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Engineering Site Grading question
« Reply #38 on: April 27, 2005, 11:28:54 AM »
Like this:
Code: [Select]
;;; DESCRIPTION
;;;
;;; This lisp is design to calculate elevation or slope percentage.
;;;
;;; **Slvl**
;;; Calculates the elevation after user input of the highest
;;; level and slope percentage.
;;; The distance has to be specified by picking two endpoints
(defun C:Slvl (/ *Error* useros usercmd userlun slp elev dist p1 p2 chg)
  ;; error function & Routine Exit
  (defun *error* (msg)
    (if
      (not
        (member
          msg
          '("console break" "Function cancelled" "quit / exit abort" "")
        )
      )
       (princ (strcat "\nError: " msg))
    ) ; endif

    ;;reset all variables here
    (if useros (setvar "osmode" useros))
    (if usercmd (setvar "CMDECHO" usercmd))
    (if userlun (setvar "lunits" userlun))
    (setq useros  nil
          usercmd nil
          userlun nil
    )
  ) ;end error function  (defun *Error* (msg) ; embedded defun


  (setq useros  (getvar "osmode")
        usercmd (getvar "CMDECHO")
        userlun (getvar "lunits")
  )

  (setvar "osmode" 1) ; = endpoint
  (setvar "Lunits" 4) ; Feet & Inches
  ;;  Load a global variable if null
  (setq *elev* (cond (*elev*) (t (distof "100'"))))
  (setq elev (Getdist (strcat "\nReference level (100'-6\"or 100.5') <" (rtos *elev* 4 2) ">: ")))
  (if (null elev)
     (setq elev *elev*) ; use global
     (setq *elev* elev) ; reset global
  )
 
  (setq *slp* (cond (*slp*) (0.01)))
  (setq slp
         (getreal
           (strcat "\nEnter Slope Percentage, - for slope down ( 3 = .03 or 3%) <"
                   (rtos (* 100 *slp*) 2 2) ">: ")
         )
  )
  (if (null slp)
     (setq slp *slp*) ; use global
     (setq *slp* (/ slp 100)) ; reset global
  )

  (initget 128) ; get point OR number OR string
  (setq p1 (getpoint "\nPick 1st point or enter DISTANCE: "))
  (cond
    ((listp p1) ; got a point
     (if (setq p2 (getpoint p1 "\nPick 2nd point of DISTANCE: "))
       (setq dist (distance p1 p2))
     )
    )
    ((numberp p1) ; got a number
     (setq dist p1)
    )
    ((setq dist (distof p1)) ; got a string, convert to number
    )
  )
  (cond
    ((not (numberp elev))
     (prompt "\n***  Error in Elevation  ***")
    )
    ((not (numberp slp))
     (prompt "\n***  Error in Slope  ***")
    )
    ((not (numberp dist))
     (prompt "\n***  Error in Distance  ***")
    )
    (t
     (setq slp  (/ slp 100.0)
           elev (/ elev 12.0)
           chg  (rtos (+ elev (* (/ dist 12.0) slp)) 2 2)
     )
     (prompt (strcat "\n[Start Elev=" (rtos elev 2 2) "'] [Distance="
               (rtos dist 4 2) "] ")
     )
     (if (minusp slp)
       ;;-----slope calculation
       (prompt (strcat "[Level below is : " chg "']"))
       (prompt (strcat "[Level above is : " chg "']"))
     )
    )
  )
  (*error* "")
  (princ)
)
(prompt "\nSlope Calc Loaded, Enter slvl to run.")
(princ)
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

MSTG007

  • Gator
  • Posts: 2601
  • I can't remeber what I already asked! I need help!
Engineering Site Grading question
« Reply #39 on: April 27, 2005, 11:38:07 AM »
Thank you CAB. that works:)

The above last lisp that i posted. The same code you applied to this one, Can i apply to the one which i am getting this wierd error too.

"Command: sltag
.undo Enter the number of operations to undo or
[Auto/Control/BEgin/End/Mark/Back] <1>: begin
Command: Enter Starting Elevation <1200.0000>:
Backtrace:
[0.49] (VL-BT)
[1.45] (*ERROR* "bad argument type: numberp: #<SUBR @05b2f768 ->")
[2.40] (_call-err-hook #<SUBR @0ab4f3e8 *ERROR*> "bad argument type: numberp:
#<SUBR @05b2f768 ->")
[3.34] (sys-error "bad argument type: numberp: #<SUBR @05b2f768 ->")
:ERROR-BREAK.29 nil
[4.26] (RTOS #<SUBR @05b2f768 -> 2  
[5.19] (C:SLTAG)
[6.15] (#<SUBR @0ab4f514 -rts_top->)
[7.12] (#<SUBR @05a72334 veval-str-body> "(C:SLTAG)" T #<FILE internal>)
:CALLBACK-ENTRY.6 (:CALLBACK-ENTRY)
:ARQ-SUBR-CALLBACK.3 (nil 0)"

Is MP right about the call of RTOS?
Civil3D 2020

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Engineering Site Grading question
« Reply #40 on: April 27, 2005, 12:05:35 PM »
Quote from: MSTG007
Is MP right about the call of RTOS?


MP is always right.
 :)
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Engineering Site Grading question
« Reply #41 on: April 27, 2005, 12:12:48 PM »
Quote from: MSTG007
Thank you CAB. that works:)

The above last lisp that i posted. The same code you applied to this one, Can i apply to the one which i am getting this wierd error too.


You are welcome.
And Yes you can.
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

MSTG007

  • Gator
  • Posts: 2601
  • I can't remeber what I already asked! I need help!
Engineering Site Grading question
« Reply #42 on: April 27, 2005, 12:53:03 PM »
grrh still no luck

Code: [Select]

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Slope Tag  V1.2, 1989, '92
;; by RBCulp - Falcon Design Services, Inc.
;;
;; NO RIGHTS RESERVED; Any and all content may reproduced by any method on any medium for any reason.
;; Please, feel free to use any part found useful, interesting, enlightening or entertaining.
;; If by some chance, someone wishes to be credited for this, go right ahead.
;;
;; Falcon Design Services (FDS) provides this program "as is" and with all faults.
;; FDS specifically disclaims any implied warranty of merchantability or fitness for a particular use.  
;; FDS does not warrant that the operation of the program will be uninterrupted or error free.
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun c:sltag ( / scft nstelev nslope FIRSTPT PT1 PT2 distm dist1 nxtelev)
(defun *error* (msg)
    (if
      (not
        (member
          msg
          '("console break" "Function cancelled" "quit / exit abort" "")
        )
      )
       (princ (strcat "\nError: " msg))
    ) ; endif
    ;;reset all variables here
    (if useros (setvar "osmode" useros))
    (if usercmd (setvar "CMDECHO" usercmd))
    (if userlun (setvar "lunits" userlun))
    (setq useros  nil
          usercmd nil
          userlun nil
    )
  ) ;end error function  (defun *Error* (msg) ; embedded defun
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;Set defaults on first use
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(if (= stelev nil)  (setq stelev 1200.00))
(if (= slope nil)   (setq slope -0.002))
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(command ".undo" "begin")
(setvar "attdia" 0)
(setvar "texteval" 1)
(setq scft (getvar "dimscale"))
 (if (= 2 (getvar "lunits")) (setq tunit 2 tprec 3) )
 (if (= 4 (getvar "lunits")) (setq tunit 4 tprec 4) )
   (if (setq nstelev (getdist (strcat "Enter Starting Elevation <" (RTOS stelev) ">: ")))
       (setq stelev nstelev)
   )
   (if (setq nslope (getreal (strcat "Enter Slope Factor (Negative For Down) <" (RTOS slope 2 8) ">: ")))
       (setq slope nslope)
   )
  (setq FIRSTPT (getpoint "Select Starting point ")
   PT2 (getpoint FIRSTPT "\nNext point ")
   distm (distance firstpt pt2)
   nxtelev (+ (* distm slope) stelev)
  )
(princ (strcat "\n                        Distance is  " (rtos (distance firstpt pt2))))
(princ (strcat "\n                           Slope is  " (rtos (* distm slope))))
(princ (strcat "\n                       Elevation is  " (rtos nxtelev tunit tprec)))
;;;; (txstla)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(command "-insert" "E:/CAD/Ielev" "s" scft "r" "0" pt2 (strcat (rtos nxtelev 2 2)" "))
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
  (while (/= PT2 nil)
    (setq PT1 PT2)
    (setq PT2 (getpoint PT1 "\n\nNext point "))
    (if (/= PT2 nil)
      (progn
   (setq dist1 (distance pt1 pt2)
         distm (+ distm dist1)
         nxtelev (+ (* dist1 slope) nxtelev)
   )
   (princ (strcat "\n                        Distance is  " (rtos dist1)))
   (princ (strcat "\n                           Slope is  " (rtos (* dist1 slope))))
   (princ (strcat "\n                       Elevation is  " (rtos nxtelev tunit tprec)))
   (princ (strcat "\n          Running Total Distance is  " (rtos distm)))
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(command "-insert" "E:/CAD/Ielev" "s" scft "r" "0" pt2 (strcat (rtos nxtelev 2 2)" "))
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
      )
    )
  )
   (princ (strcat "\n\n          Final Total Distance is  " (rtos distm)))
(setvar "attdia" 1)
(command ".undo" "end")
(*error* "")
(princ)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
Civil3D 2020

CADaver

  • Guest
Engineering Site Grading question
« Reply #43 on: April 27, 2005, 12:58:34 PM »
The program uses GETDIST when asking for the input, how are you entering that distance?

3% is text not a distance .03 is a distance.

MSTG007

  • Gator
  • Posts: 2601
  • I can't remeber what I already asked! I need help!
Engineering Site Grading question
« Reply #44 on: April 27, 2005, 01:31:47 PM »
as .03 = 3%
Civil3D 2020